Calibre-web - Manage your ebooks on Yunohost!

Bon, tant qu’on y est, tout fonctionne presque parfaitement, je constate simplement un petit bug. J’obtiens une erreur interne serveur 500 quand je clique sur catégories, Séries, Auteurs, Publishers ou Langues. Pourtant, quand je vais sur ces mêmes pages par un lien détourné (exemple, j’ouvre un livre et je clique sur le nom de l’auteur pour arriver sur la page auteur) tout fonctionne. Une idée ?

Que donne tail /var/log/calibreweb/calibreweb.log?

Ça donne :

: Expected GET method: '\x16\x03\x01\x00f\x01\x00\x00b\x03\x01^\x04\x93\xc8i\xbb\xd3\x19L\xc1\xbd\t\x19\xe3\xea\xa1\xfdU{3\xe1~\xe5\x00\xe5\xabl\x97Xc\xe7\x00\x00\x1c\xc0\x14\xc0\x13\x009\x003\x005\x00/\xc0\n’
211.225.230.85 - - [2019-12-26 11:04:38] "fb^??i??L?? ???U{3?~??l?X
c???935/?" 400 - 0.001936
: Invalid HTTP method: ‘\x16\x03\x01\x00f\x01\x00\x00b\x03\x01^\x04\x93\xc9\xd0\xc0\xdd-\x9c\xb4\xca\xb1\xba\xc9k\xe3\x9d.\x84\xeb1\x11W\x10\xf8{o\x80i\x1acx\x00\x00\x1c\xc0\x14\xc0\x13\x009\x003\x005\x00/\xc0\n’
211.225.230.85 - - [2019-12-26 11:04:39] “fb^???-??ʱ??k?.??1W?{o?icx??935/?” 400 - 0.000307
198.100.154.44 - - [2019-12-26 14:40:35] “GET /w00tw00t.at.ISC.SANS.DFind:) HTTP/1.1” 404 1020 0.021107
127.0.0.1 - - [2019-12-27 14:37:53] “GET / HTTP/1.0” 302 636 0.210547
198.100.154.44 - - [2019-12-28 20:55:04] “GET /w00tw00t.at.ISC.SANS.DFind:) HTTP/1.1” 404 1020 0.750363
127.0.0.1 - - [2019-12-29 13:40:41] “GET /wp-login.php HTTP/1.0” 404 1039 0.614132
127.0.0.1 - - [2019-12-29 13:40:41] “GET /wp-login.php HTTP/1.0” 404 1039 0.011861
127.0.0.1 - - [2019-12-29 13:40:41] “GET /wp-login.php HTTP/1.0” 404 1039 0.017050

Merci pour le support !

Salut,

Je viens d’installer calibre-web via l’interface webadmin, j’ai ce message qui est apparu :

/!\ Packagers! This app is still using the skipped/protected/unprotected_uris/regex settings which are now obsolete and deprecated… Instead, you should use the new helpers ‘ynh_permission_{create,urls,update,delete}’ and the ‘visitors’ group to initialize the public/private access. Check out the documentation at the bottom of yunohost.org/groups_and_permissions to learn how to use the new permission mechanism.

The service calibreweb has correctly started.

Versions en cours :

yunohost 3.7.1 (stable)
yunohost-admin 3.7.1.1 (stable)
moulinette 3.7.1 (stable)
ssowat 3.7.1 (stable)

[Résolu avec les dernières updates]

Hi
I tried several times but I can’t install this app.
It always log this error after trying to install dependencies:

WARNING - TypeError: unsupported operand type(s) for -=: ‘Retry’ and ‘int’

I reinstalled pip as I read above but nothing change. Any hint?
I’m in yunohost 3.7.1.1, on a raspberry 3.

Thanks in advance.

Hello,
I’m in the process of releasing a new version (I post this message nearly at the same time as you posted yours :slight_smile: ) :

You may try this one or just wait a few days that the last bugs are ironed out!
If you still have the issue with this new version, I will check it further.

1 Like

Great, thanks a lot for your work!
If I install this test version, must I remove it manually in order to install later the official release?

No, you should be able to force the update to the new version via the command line

Ok, I will try it!

It gives the same error. :slightly_frowning_face:

Info: Installing the app 'calibreweb'… Warning: /bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8) Info: [....................] > Validating installation parameters... Info: [+...................] > Storing installation settings... Info: [#...................] > Opening port 8083... Info: [#+..................] > Downloading sources to /var/www/calibreweb... Info: [##++................] > Installing package dependencies... Warning: /usr/share/yunohost/helpers.d/apt: line 95: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8) Warning: /usr/share/yunohost/helpers.d/apt: line 162: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8) Warning: /usr/share/yunohost/helpers.d/apt: line 95: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8) Info: [####++++++..........] > Installing pip requirements... Warning: Exception: Warning: Traceback (most recent call last): Warning: File "/usr/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 594, in urlopen Warning: chunked=chunked) Warning: File "/usr/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 391, in _make_request Warning: six.raise_from(e, None) Warning: File "<string>", line 2, in raise_from Warning: File "/usr/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 387, in _make_request Warning: httplib_response = conn.getresponse() Warning: File "/usr/lib/python3.5/http/client.py", line 1198, in getresponse Warning: response.begin() Warning: File "/usr/lib/python3.5/http/client.py", line 297, in begin Warning: version, status, reason = self._read_status() Warning: File "/usr/lib/python3.5/http/client.py", line 266, in _read_status Warning: raise RemoteDisconnected("Remote end closed connection without" Warning: http.client.RemoteDisconnected: Remote end closed connection without response Warning: Warning: During handling of the above exception, another exception occurred: Warning: Warning: Traceback (most recent call last): Warning: File "/usr/lib/python3/dist-packages/pip/basecommand.py", line 215, in main Warning: status = self.run(options, args) Warning: File "/usr/lib/python3/dist-packages/pip/commands/install.py", line 342, in run Warning: requirement_set.prepare_files(finder) Warning: File "/usr/lib/python3/dist-packages/pip/req/req_set.py", line 380, in prepare_files Warning: ignore_dependencies=self.ignore_dependencies)) Warning: File "/usr/lib/python3/dist-packages/pip/req/req_set.py", line 554, in _prepare_file Warning: require_hashes Warning: File "/usr/lib/python3/dist-packages/pip/req/req_install.py", line 278, in populate_link Warning: self.link = finder.find_requirement(self, upgrade) Warning: File "/usr/lib/python3/dist-packages/pip/index.py", line 465, in find_requirement Warning: all_candidates = self.find_all_candidates(req.name) Warning: File "/usr/lib/python3/dist-packages/pip/index.py", line 423, in find_all_candidates Warning: for page in self._get_pages(url_locations, project_name): Warning: File "/usr/lib/python3/dist-packages/pip/index.py", line 568, in _get_pages Warning: page = self._get_page(location) Warning: File "/usr/lib/python3/dist-packages/pip/index.py", line 683, in _get_page Warning: return HTMLPage.get_page(link, session=self.session) Warning: File "/usr/lib/python3/dist-packages/pip/index.py", line 792, in get_page Warning: "Cache-Control": "max-age=600", Warning: File "/usr/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py", line 501, in get Warning: return self.request('GET', url, **kwargs) Warning: File "/usr/lib/python3/dist-packages/pip/download.py", line 386, in request Warning: return super(PipSession, self).request(method, url, *args, **kwargs) Warning: File "/usr/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py", line 488, in request Warning: resp = self.send(prep, **send_kwargs) Warning: File "/usr/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py", line 609, in send Warning: r = adapter.send(request, **kwargs) Warning: File "/usr/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/adapters.py", line 423, in send Warning: timeout=timeout Warning: File "/usr/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 643, in urlopen Warning: _stacktrace=sys.exc_info()[2]) Warning: File "/usr/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/util/retry.py", line 315, in increment Warning: total -= 1 Warning: TypeError: unsupported operand type(s) for -=: 'Retry' and 'int' Warning: Error: Could not install calibreweb: An error occurred inside the app installation script Info: The operation 'Install the 'calibreweb' app' could not be completed. Please share the full log of this operation using the command 'yunohost log display 20200503-184610-app_install-calibreweb --share' to get help Warning: Here's an extract of the logs before the crash. It might help debugging the error: Info: WARNING - page = self._get_page(location) Info: WARNING - File "/usr/lib/python3/dist-packages/pip/index.py", line 683, in _get_page Info: WARNING - return HTMLPage.get_page(link, session=self.session) Info: WARNING - File "/usr/lib/python3/dist-packages/pip/index.py", line 792, in get_page Info: WARNING - "Cache-Control": "max-age=600", Info: WARNING - File "/usr/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py", line 501, in get Info: WARNING - return self.request('GET', url, **kwargs) Info: WARNING - File "/usr/lib/python3/dist-packages/pip/download.py", line 386, in request Info: WARNING - return super(PipSession, self).request(method, url, *args, **kwargs) Info: WARNING - File "/usr/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py", line 488, in request Info: WARNING - resp = self.send(prep, **send_kwargs) Info: WARNING - File "/usr/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py", line 609, in send Info: WARNING - r = adapter.send(request, **kwargs) Info: WARNING - File "/usr/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/adapters.py", line 423, in send Info: WARNING - timeout=timeout Info: WARNING - File "/usr/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 643, in urlopen Info: WARNING - _stacktrace=sys.exc_info()[2]) Info: WARNING - File "/usr/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/util/retry.py", line 315, in increment Info: WARNING - total -= 1 Info: WARNING - TypeError: unsupported operand type(s) for -=: 'Retry' and 'int' Info: DEBUG - + ynh_exit_properly Warning: Removing the app following the installation failure… Warning: /bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8) Info: [++..................] > Loading installation settings... Info: [##+.................] > Stopping and removing the systemd service... Info: [###++++.............] > Removing Dependencies... Warning: /usr/share/yunohost/helpers.d/apt: line 95: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8) Info: [#######+............] > Removing /var/www/calibreweb... Info: [########............] > Removing nginx web server configuration... Info: '/etc/nginx/conf.d/amloq.nohost.me.d/calibreweb.conf' wasn't deleted because it doesn't exist. Info: [########+...........] > Removing logrotate configuration... Info: [#########++++++++...] > Closing port 8083... Warning: [WARN] Not deleting '/var/log/calibreweb/' because it is not an acceptable path to delete. Info: [#################...] > Removing log file... Warning: [WARN] The user calibreweb was not found Info: [#################+..] > Removing the dedicated system user... Warning: [WARN] !!!The library folder was not deleted. Delete it manually if required!!! Info: [####################] > Removal of calibreweb completed Error: The operation 'Install the 'calibreweb' app' could not be completed. Please share the full log of this operation using the command 'yunohost log display 20200503-184610-app_install-calibreweb --share' to get help

hmm, ok, strange it seems more like an issue from pip to download the required packages.
What are your system spec (board, OS, etc.)?

So, your issue seems related to this one:

It seem that this is due to an issue with the version of pip in the depot.
Do you already have a version installed? you may run
pip -V and pip3 -V to check it.

If it returns nothing, can you try apt-cache policy python3-pip?

It’s a raspberry 3; Debian 9.11; Yunohost 3.7.1.3.

That input gives:

pip 9.0.1 from /usr/lib/python2.7/dist-packages (python 2.7)

Ok, let’s try the easy fix first:
Can you run:
sudo pip3 install --upgrade setuptools
And then retry the install

Installed setuptools both for pip and pip3, but gives the same:

WARNING - TypeError: unsupported operand type(s) for -=: 'Retry' and 'int'

Maybe this is just something Raspbian related?

Ok, i’ll try to repackage the install to use get-pip.py as stated on stackoverflow.
We’ll see if it works better.

1 Like

Can you try to run:

yunohost app install https://github.com/YunoHost-Apps/calibreweb_ynh/tree/New_pip_install

I try installing pip via get-pip.py. This is working well on my test VM and in package_check… Let’s see if it works for you?

2 Likes

Did you get a chance to retest?

It works!!!

1 Like

The log was:

Info: Installing the app 'calibreweb'… Warning: /bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8) Info: [....................] > Validating installation parameters... Info: [+...................] > Storing installation settings... Info: [#...................] > Opening port 8083... Info: [#+..................] > Downloading sources to /var/www/calibreweb... Info: [##++................] > Installing package dependencies... Warning: /usr/share/yunohost/helpers.d/apt: line 95: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8) Warning: /usr/share/yunohost/helpers.d/apt: line 162: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8) Warning: /usr/share/yunohost/helpers.d/apt: line 95: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8) Warning: % Total % Received % Xferd Average Speed Time Time Time Current Warning: Dload Upload Total Spent Left Speed 100 1824k 100 1824k 0 0 572k 0 0:00:03 0:00:03 --:--:-- 572k Warning: WARNING: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.VerifiedHTTPSConnection object at 0x74e39cd0>: Failed to establish a new connection: [Errno 101] Network is unreachable',)': /simple/pip/ Info: [####++++++..........] > Installing pip requirements... Info: [##########+++++++...] > Installing pip additionnal requirements... Info: [#################+..] > Setting up system configuration... Warning: Created symlink /etc/systemd/system/multi-user.target.wants/calibreweb.service → /etc/systemd/system/calibreweb.service. Info: [##################..] > Creating files and directory... Warning: 2020-05-06 17:13:40 URL:https://codeload.github.com/YunoHost-Apps/yunohost.multimedia/tar.gz/v1.2 [15921/15921] -> "v1.2.tar.gz" [1] Warning: /bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8) Info: [##################+.] > Setting up database and settings... Warning: Please wait, the service calibreweb is starting......... Info: The service calibreweb has correctly started. Info: [###################.] > Reload nginx and start calibreweb... Warning: Please wait, the service calibreweb is starting...... Info: The service calibreweb has correctly started. Info: [####################] > Installation of calibreweb completed Success! Installation completed